%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/muesli/cancelreader
Version:                0.2.2

%gometa

%global common_description %{expand:
A cancelable reader for Go.}

%global golicenses      LICENSE
%global godocs          example README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        A cancelable reader for Go

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sun Jun 08 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.2.2-2
- Rebuilt for loongarch64

* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
